getStockMovements
READGet stock movements.
POST /api/v1/inventory/getStockMovements
curl -X POST '<your-host>/api/v1/inventory/getStockMovements' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"comment": "string",
"companyId": "string",
"correctionOfItemLedgerId": "string",
"createdAt": "string",
"createdBy": "string",
"documentId": "string",
"documentLineId": "string",
"documentType": "Sales Shipment",
"entryNumber": 0,
"entryType": "Purchase",
"externalDocumentId": "string",
"id": "string",
"isCorrection": true,
"itemDescription": "string",
"itemId": "string",
"itemReadableId": "string",
"itemType": "Part",
"locationId": "string",
"locationName": "string",
"postingDate": "string",
"quantity": 0,
"scrapReasonId": "string",
"storageUnitId": "string",
"storageUnitName": "string",
"thumbnailPath": "string",
"trackedEntityId": "string",
"trackedEntityReadableId": "string",
"trackedEntityStatus": "Rejected",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}